# Exports

***

## 👁 Hide Hud

You can use the following event or export to hide or show Hud.

{% tabs %}
{% tab title="Export" %}

```lua
-- Show hud
exports["wais-hudv6"]:showHud()

-- Hide hud
exports["wais-hudv6"]:hideHud()
```

{% endtab %}

{% tab title="Event" %}

```lua
-- Show Hud
TriggerEvent('wais:hudv6:client:hideHud', false)

-- Hide hud
TriggerEvent('wais:hudv6:client:hideHud', true)
```

{% endtab %}
{% endtabs %}

***

## 🌎 Hide Radar ( Minimap )

{% tabs %}
{% tab title="Export" %}

```lua
-- Show radar ( minimap )
exports["wais-hudv6"]:showRadar(false)

-- Hide radar ( minimap )
exports["wais-hudv6"]:showRadar(true)
```

{% endtab %}

{% tab title="Event" %}

```lua
-- Show radar ( minimap )
TriggerEvent('wais:hudv6:client:hideRadar', false)

-- Hide radar ( minimap )
TriggerEvent('wais:hudv6:client:hideRadar', true)
```

{% endtab %}
{% endtabs %}

***

## 📸 Cinematic Mode

{% tabs %}
{% tab title="Export" %}

```lua
-- Open Cinematic Mode
exports["wais-hudv6"]:cinematic(true)

-- Close Cinematic Mode
exports["wais-hudv6"]:cinematic(false)
```

{% endtab %}

{% tab title="Event" %}

```lua
-- Open Cinematic Mode
TriggerEvent('wais:hudv6:client:cinematic', true)

-- Close Cinematic Mode
TriggerEvent('wais:hudv6:client:cinematic', false)
```

{% endtab %}
{% endtabs %}

***

## ⛓️‍💥 Get Belt State

{% tabs %}
{% tab title="Export" %}

```lua
-- return @boolean
exports["wais-hudv6"]:seatbelt()
```

{% endtab %}

{% tab title="Statebag" %}

```etlua
print(LocalPlayer.state.belt)
```

{% endtab %}
{% endtabs %}

***

## 🎛 Get Player Customizations

You can access many personalisations of the user such as status, carhud, rightcorner, fuel type etc. with this export.

{% tabs %}
{% tab title="Export" %}

```lua
exports["wais-hudv6"]:customizations(type)
```

{% endtab %}

{% tab title="Types" %}

```lua
-- Available types and returnable datas.

local carhud = {
    style = "modern", ---@string
    speed = "kmh", ---@string
    behaviors = {} ---@table
}

local status = {
    style = "circle", ---@string
    behaviors = {} ---@table
}

local rightCorner = {
    style = "modern", ---@string
    behaviors = {} ---@table
}

local map = {
    type = "square", ---@string
    radius = false, ---@boolean
    position = {x = 0, y = 0} ---@table
}

local song = {
    url = "https://www.youtube.com/watch?v=SONG_ID", ---@string
    id = "SONG_ID", ---@string
    title = "Song Title", ---@string
    publisher = "Channel Name", ---@string
    cover = "cover_url", ---@string
    duration = 0, ---@number ( Current Duration )
    maxDuration = "PT0M" ---@string
} ---@table
```

{% endtab %}
{% endtabs %}

***

## 📟 Open Car Control

{% tabs %}
{% tab title="Export" %}

```lua
-- return @boolean
exports["wais-hudv6"]:openCarcontrol()
```

{% endtab %}

{% tab title="Event" %}

```etlua
-- Client event & Default event name
TriggerEvent('wais:hudv6:client:openCarControl')
```

{% endtab %}
{% endtabs %}

***

## 🌎 Force Show Minimap (Radar)

*<mark style="color:$warning;">**ATTENTION**</mark>*: *When you send the `true` value, the minimap in the bottom left will remain open continuously. Don't forget to send the `false` value again to return it to its default tasks.*

{% tabs %}
{% tab title="Export" %}

```lua
-- Force show minimap
exports["wais-hudv6"]:forceShowMap(true)
```

{% endtab %}

{% tab title="Event" %}

```etlua
-- Client event & Default event name
TriggerEvent('wais:hudv6:client:forceShowMap', true)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/wais-resoucres/wais-hudv6/exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
